/*******************
Margin
*******************/
html body .m-0 {
  margin: 0px; }

html body .m-l-5 {
  margin-left: 5px; }

html body .m-l-10 {
  margin-left: 10px; }

html body .m-l-15 {
  margin-left: 15px; }

html body .m-l-20 {
  margin-left: 20px; }

html body .m-l-30 {
  margin-left: 30px; }

html body .m-l-40 {
  margin-left: 40px; }

html body .m-r-5 {
  margin-right: 5px; }

html body .m-r-10 {
  margin-right: 10px; }

html body .m-r-15 {
  margin-right: 15px; }

html body .m-r-20 {
  margin-right: 20px; }

html body .m-r-30 {
  margin-right: 30px; }

html body .m-r-40 {
  margin-right: 40px; }

html body .m-t-0 {
  margin-top: 0px; }

html body .m-t-5 {
  margin-top: 5px; }

html body .m-t-10 {
  margin-top: 10px; }

html body .m-t-15 {
  margin-top: 15px; }

html body .m-t-20 {
  margin-top: 20px; }

html body .m-t-30 {
  margin-top: 30px; }

html body .m-t-40 {
  margin-top: 40px; }

html body .m-b-0 {
  margin-bottom: 0px; }

html body .m-b-5 {
  margin-bottom: 5px; }

html body .m-b-10 {
  margin-bottom: 10px; }

html body .m-b-15 {
  margin-bottom: 15px; }

html body .m-b-20 {
  margin-bottom: 20px; }

html body .m-b-30 {
  margin-bottom: 30px; }

html body .m-b-40 {
  margin-bottom: 40px; }
/*******************
Border
*******************/
html body .b-0 {
  border: none !important; }

html body .b-r {
  border-right: 1px solid rgba(120, 130, 140, 0.13); }

html body .b-l {
  border-left: 1px solid rgba(120, 130, 140, 0.13); }

html body .b-b {
  border-bottom: 1px solid rgba(120, 130, 140, 0.13); }

html body .b-t {
  border-top: 1px solid rgba(120, 130, 140, 0.13); }

html body .b-all {
  border: 1px solid rgba(120, 130, 140, 0.13); }
/*******************
font weight
*******************/
html body .font-bold {
  font-weight: 700; }

html body .font-normal {
  font-weight: normal; }

html body .font-light {
  font-weight: 300; }

html body .font-medium {
  font-weight: 500; }

html body .font-16 {
  font-size: 16px; }

html body .font-15 {
  font-size: 15px; }

html body .font-14 {
  font-size: 14px; }

html body .font-13 {
  font-size: 13px; }

html body .font-12 {
  font-size: 12px; }

html body .font-11 {
  font-size: 11px; }

html body .font-10 {
  font-size: 10px; }

html body .font-18 {
  font-size: 18px; }

html body .font-20 {
  font-size: 20px; }

html body .font-25 {
  font-size: 25px; }

html body .font-30 {
  font-size: 30px; }
/*******************
Paddings
*******************/
html body .p-80 {
  padding: 80px; }
html body .p-10 {
  padding: 10px; }
html body .p-20 {
  padding: 20px; }
/*******************
Otros
*******************/
html body .text-center {
  text-align: center; }
html body .font-30 {
  font-size: 30px !important; }

@media (min-width: 768px) {
	.card-categoria{
		display: block;
	}
}

@media (max-width: 767px) {
	.card-categoria{
		display: none;
	}
	.nombre-producto {
	    padding-top:12px;
	}
	#imagen-producto {
	    height: 120px;
        width: 100%;
        object-fit: cover;
	}
}

.table-head th{
  color: #455a64 !important;
  font-weight: 500 !important;
  background: #f9fbf8 !important;
  border-left: 0px !important;
}
.table-head th:hover{
  border-left: 0px !important;
}
.stylish-table thead th {
  font-weight: 400;
  color: #99abb4;
  border: 0px;
  border-bottom: 1px; }

.stylish-table tbody tr {
  border-left: 4px solid #a3a3a3; }
  .stylish-table tbody tr:hover, .stylish-table tbody tr.active {
    border-left: 4px solid #ea764b !important;
    background: #fefde3 !important; }

.stylish-table tbody td {
  vertical-align: middle; }
  .stylish-table tbody td h6 {
    font-weight: 500;
    margin-bottom: 0px;
    white-space: nowrap; }
  .stylish-table tbody td small {
    line-height: 12px;
    white-space: nowrap;}

/*******************
Table-Data Table
******************/
.dataTables_wrapper {
  padding: 0px;}

.dt-buttons {
  display: inline-block;
  padding-top: 5px;
  margin-bottom: 15px; }
  .dt-buttons .dt-button {
    padding: 5px 15px;
    border-radius: 4px;
    background: #009efb;
    color: #ffffff;
    margin-right: 3px; }
    .dt-buttons .dt-button:hover {
      background: #2f3d4a; }

.dataTables_info, .dataTables_length {
  display: inline-block; }

.dataTables_length {
  margin-top: 10px; }
  .dataTables_length select {
    border: 0;
    background-image: -webkit-gradient(linear, left top, left bottom, from(#009efb), to(#009efb)), -webkit-gradient(linear, left top, left bottom, from(#d9d9d9), to(#d9d9d9));
    background-image: -webkit-linear-gradient(#009efb, #009efb), -webkit-linear-gradient(#d9d9d9, #d9d9d9);
    background-image: -o-linear-gradient(#009efb, #009efb), -o-linear-gradient(#d9d9d9, #d9d9d9);
    background-image: linear-gradient(#009efb, #009efb), linear-gradient(#d9d9d9, #d9d9d9);
    background-size: 0 2px, 100% 1px;
    background-repeat: no-repeat;
    background-position: center bottom, center calc(100% - 1px);
    background-color: transparent;
    -webkit-transition: background 0s ease-out;
    -o-transition: background 0s ease-out;
    transition: background 0s ease-out;
    padding-bottom: 5px; }
    .dataTables_length select:focus {
      outline: none;
      background-image: -webkit-gradient(linear, left top, left bottom, from(#009efb), to(#009efb)), -webkit-gradient(linear, left top, left bottom, from(#d9d9d9), to(#d9d9d9));
      background-image: -webkit-linear-gradient(#009efb, #009efb), -webkit-linear-gradient(#d9d9d9, #d9d9d9);
      background-image: -o-linear-gradient(#009efb, #009efb), -o-linear-gradient(#d9d9d9, #d9d9d9);
      background-image: linear-gradient(#009efb, #009efb), linear-gradient(#d9d9d9, #d9d9d9);
      background-size: 100% 2px, 100% 1px;
      -webkit-box-shadow: none;
      box-shadow: none;
      -webkit-transition-duration: 0.3s;
      -o-transition-duration: 0.3s;
      transition-duration: 0.3s; }

.dataTables_filter {
  float: right;
  margin-top: 10px; }
  .dataTables_filter input {
    border: 0;
    background-image: -webkit-gradient(linear, left top, left bottom, from(#009efb), to(#009efb)), -webkit-gradient(linear, left top, left bottom, from(#d9d9d9), to(#d9d9d9));
    background-image: -webkit-linear-gradient(#009efb, #009efb), -webkit-linear-gradient(#d9d9d9, #d9d9d9);
    background-image: -o-linear-gradient(#009efb, #009efb), -o-linear-gradient(#d9d9d9, #d9d9d9);
    background-image: linear-gradient(#009efb, #009efb), linear-gradient(#d9d9d9, #d9d9d9);
    background-size: 0 2px, 100% 1px;
    background-repeat: no-repeat;
    background-position: center bottom, center calc(100% - 1px);
    background-color: transparent;
    -webkit-transition: background 0s ease-out;
    -o-transition: background 0s ease-out;
    transition: background 0s ease-out;
    float: none;
    -webkit-box-shadow: none;
    box-shadow: none;
    border-radius: 0;
    margin-left: 10px; }
    .dataTables_filter input:focus {
      outline: none;
      background-image: -webkit-gradient(linear, left top, left bottom, from(#009efb), to(#009efb)), -webkit-gradient(linear, left top, left bottom, from(#d9d9d9), to(#d9d9d9));
      background-image: -webkit-linear-gradient(#009efb, #009efb), -webkit-linear-gradient(#d9d9d9, #d9d9d9);
      background-image: -o-linear-gradient(#009efb, #009efb), -o-linear-gradient(#d9d9d9, #d9d9d9);
      background-image: linear-gradient(#009efb, #009efb), linear-gradient(#d9d9d9, #d9d9d9);
      background-size: 100% 2px, 100% 1px;
      -webkit-box-shadow: none;
      box-shadow: none;
      -webkit-transition-duration: 0.3s;
      -o-transition-duration: 0.3s;
      transition-duration: 0.3s; }

table.dataTable thead .sorting,
table.dataTable thead .sorting_asc,
table.dataTable thead .sorting_desc,
table.dataTable thead .sorting_asc_disabled,
table.dataTable thead .sorting_desc_disabled {
  background: transparent; }

table.dataTable thead .sorting_asc:after {
  content: "\f0de";
  margin-left: 10px;
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  cursor: pointer; }

table.dataTable thead .sorting_desc:after {
  content: "\f0dd";
  margin-left: 10px;
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  cursor: pointer; }

table.dataTable thead .sorting:after {
  content: "\f0dc";
  margin-left: 10px;
  font-family: "Font Awesome 5 Free" !important;
  font-weight: 900;
  cursor: pointer;
  color: rgba(50, 50, 50, 0.5); }

.dataTables_wrapper .dataTables_paginate {
  float: right;
  text-align: right;
  padding-top: 0.25em;}

.dataTables_wrapper .dataTables_paginate .paginate_button {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  display: flex;
  min-width: 1.5em;
  padding: 0.1em;
  text-align: center;
  text-decoration: none;
  cursor: pointer;
  *cursor: hand;
justify-content: center;
   align-items: center;}

.dataTables_wrapper .dataTables_paginate .paginate_button.current,
.dataTables_wrapper .dataTables_paginate .paginate_button.current:hover {

}

.dataTables_wrapper .dataTables_paginate .paginate_button.disabled,
.dataTables_wrapper .dataTables_paginate .paginate_button.disabled:hover,
.dataTables_wrapper .dataTables_paginate .paginate_button.disabled:active {
  cursor: default;
}
/* PAGINACION DATATABLE */
.dataTables_wrapper .dataTables_paginate .paginate_button:hover {
  color: white;}

.dataTables_wrapper .dataTables_paginate .paginate_button:active { }

.dataTables_wrapper .dataTables_paginate .ellipsis {
  padding: 0 1em; 
}
.pagination > .active > a,
.pagination > .active > span,
.pagination > .active > a:hover,
.pagination > .active > span:hover,
.pagination > .active > a:focus,
.pagination > .active > span:focus {
  background-color: #666 !important;
  border-color: #666 !important;
  border-radius: 5px;
  vertical-align: middle;
}
/*******************
Rounds
*******************/
.round {
  line-height: 48px;
  color: #ffffff;
  width: 45px;
  height: 45px;
  display: inline-block;
  font-weight: 400;
  text-align: center;
  border-radius: 100%;
  background: #00afe9; }
  .round img {
    border-radius: 100%; }

.round-lg {
  line-height: 65px;
  width: 60px;
  height: 60px;
  font-size: 30px; }

.round.round-info {
  background: #00afe9; }

.round.round-warning {
  background: #ffb22b; }

.round.round-danger {
  background: #fc4b6c; }

.round.round-success {
  background: #34d16e; }

.round.round-primary {
  background: #7460ee; }

#shadow-host-companion{
    display:none;
}

.not3 {
    border-radius: 30px;
    position: absolute;
    top: 2px;
    right: 140px;
    background-color: #dd0606;
    color: #fff;
    font-weight: 600;
    font-size: .7rem;
    display: inline-block;
    padding: .15rem .3rem .2rem .35rem;
    line-height: 1;
}

.nota-data {
    display: flex;
    gap: 10px;
    padding-bottom: 12px;
    border-bottom: 1px solid #cecece;
    margin-bottom: 12px;
    flex-wrap: wrap;
}
.custom-notas {
    cursor: pointer;
    background-color: hsl(167, 82%, 96%);
    border: 1px solid hsl(168, 88%, 77%);
    color: hsl(175, 61%, 19%);
    padding: 2px 5px;
    border-radius: 7px;
    font-size: 12px;
    font-weight: 700;
}
.topping-data {
    display: flex;
    gap: 10px;
    padding-bottom: 12px;
    border-bottom: 1px solid #cecece;
    margin-bottom: 12px;
    flex-wrap: wrap;
}
/*Css para el sidebar del carrito*/
.cart-table-custom {
    padding:10px !important;
    color: #000 !important;
    font-size: 14px;
}
.cart-table-custom td{
    padding:10px !important;
}
.cart-table .price {
    font-weight: 600;
    text-align: right;
    width: auto;
}
.custom-item-amount {
    font-size: 15px !important;
    font-weight: 600;
    margin: 4px 0px !important;
}

#addProducto,
#minusProducto{
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 20px;
    height: 20px;
    background: hsl(167, 82%, 96%) !important;
    color: hsl(175, 61%, 19%) !important;
    border-radius: 50%;
    text-decoration: none;
    border: 1px solid hsl(168, 88%, 77%) !important;
}

#addProducto i,
#minusProducto i {
    font-size: 12px;
    font-weight: 600;
    line-height: 1;
}

#addProducto:hover,
#minusProducto:hover{
    background-color: hsl(200, 86%, 95%) !important;
    border: 1px solid hsl(198, 100%, 73%) !important;
    color: hsl(201, 95%, 23%) !important;
}
.cart-table-custom .title .name {
    font-weight: 600 !important;
    display: block;
    margin-bottom: 3px !important;
}
#deleteProducto {
    color: #ff0000b3;
    font-size: 14px;
}
#editProducto {
    color: #0fb017;
    font-size: 14px;
    margin: 0px;
}
.cart-table-custom tbody tr:hover {
    background-color: #00000008;
}
.custom-panel-cart-title{
    padding: 14px 10px !important;
    background-color: #282b2e !important;
}
.custom-panel-cart-title h5{
    font-size: 18px;
    color: #ffffffad;
}
.cart-summary-custom {
    padding: 10px !important;
}
.total-carrito-custom {
    font-weight: 500;
    font-size: 18px;
    color: #000;
}
.btn-checkout-custom:before {
    background-color: #fc4b6c !important;
}
.btn-danger-custom {
  background-color: #fc4b6c !important;
  color: #000;
}
.btn-danger-custom:hover{
    color: #a3102;
    box-shadow: none;
    transform: translateY(-2px);
    outline: none;
}
.btn-danger-custom:before {
    background-color: #cb4e4e;
}
.btn-danger-custom:before {
    transition-property: "transform, visibility";
    transition-duration: .25s;
    transition-timing-function: 
ease-out;
    transform-origin: center bottom;
    transform: scaleY(0);
    position: absolute;
    top: -2px;
    left: -2px;
    bottom: -2px;
    right: -2px;
    content: " ";
    visibility: hidden;
}


.spinner {
  border: 4px solid #eee;
  border-top: 4px solid #3085d6;
  border-radius: 50%;
  width: 40px;
  height: 40px;
  animation: spin 1s linear infinite;
  margin: 15px auto;
}
@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}



.animsition-loading,.animsition-loading:after {
    width: 60px !important;
    height: 60px !important;
    position: fixed !important;
    top: 50% !important;
    left: 50% !important;
    margin-top: -16px !important;
    margin-left: -16px !important;
    border-radius: 50% !important;
    z-index: 100 !important;
}

.animsition-loading {
    border: none !important;
}

.badge-warning {
    background-color: #f0ad4e!important;
}
.badge {
    display: inline-block!important;
    padding: .25em .4em!important;
    font-size: 75%!important;
    font-weight: 700!important;
    line-height: 1!important;
    color: #fff!important;
    text-align: center!important;
    white-space: nowrap!important;
    vertical-align: baseline!important;
    border-radius: .25rem!important;
}

.label {
    padding: 3px 10px;
    line-height: 20px;
    color: #ffffff;
    font-weight: 400;
    border-radius: 4px;
    font-size: 82% !important;
}

.badge-primary {
    background-color: hsl(200, 86%, 95%) !important;
    border: 1px solid hsl(198, 100%, 73%) !important;
    color: hsl(201, 95%, 23%) !important;
}
#listaPedidos span {
  font-size: 13.6px;
}


.timeline-pedido{
    display:flex;
    justify-content:space-between;
    align-items:center;
    margin-top:15px;
}

.timeline-step{
    text-align:center;
    flex:1;
    position:relative;
}

.timeline-step::after{
    content:"";
    position:absolute;
    top:15px;
    left:50%;
    width:100%;
    height:3px;
    background:#e5e5e5;
}

.timeline-step:last-child::after{
    display:none;
}

.timeline-icon{
    width:32px;
    height:32px;
    border-radius:50%;
    background:#e5e5e5;
    color:white;
    line-height:32px;
    font-size:14px;
    margin:auto;
    position:relative;
    z-index:2;
}

.timeline-text{
    font-size:12px;
    margin-top:6px;
}

/* COLORES POR ESTADO */

.timeline-confirmado{
    background:#f0ad4e;
}

.timeline-preparando{
    background:#56aee5;
}

.timeline-camino{
    background:#007bff;
}

.timeline-entregado{
    background:#28a745;
}